curl -u <YOUR_KEY_ID>:<YOUR_KEY_SECRET> \
-X GET https://api.razorpay.com/v1/payments/qr_codes?payment_id=pay_Di5iqCqA1WEHq6 \
RazorpayClient razorpay = new RazorpayClient("[YOUR_KEY_ID]", "[YOUR_KEY_SECRET]");
JSONObject params = new JSONObject();
params.put("payment_id","pay_Di5iqCqA1WEHq6");
List<QrCode> qrcodes = razorpay.qrCode.fetchAll(params);
$api = new Api($key_id, $secret);
$api->qrCode->all(["payment_id" => $paymentId])
var instance = new Razorpay({ key_id: 'YOUR_KEY_ID', key_secret: 'YOUR_SECRET' })
instance.qrCode.all({"payment_id":paymentId})
import razorpay
client = razorpay.Client(auth=("YOUR_ID", "YOUR_SECRET"))
client.qrcode.all({"payment_id":paymentId})
import ( razorpay "github.com/razorpay/razorpay-go" )
client := razorpay.NewClient("YOUR_KEY_ID", "YOUR_SECRET")
para_attr := map[string]interface{}{
"payment_id" : "pay_HMtDKn3TnF4D8x",
}
body, err := client.QrCode.All(para_attr, nil)
require "razorpay"
Razorpay.setup('YOUR_KEY_ID', 'YOUR_SECRET')
para_attr = {"payment_id":paymentId}
Razorpay::QrCode.all(para_attr)
RazorpayClient client = new RazorpayClient("[YOUR_KEY_ID]", "[YOUR_KEY_SECRET]");
Dictionary<string, object> paramRequest = new Dictionary<string, object>();
params.Add("payment_id","pay_Z6t7VFTb9xHeOs");
List<QrCode> paymentlink = client.QrCode.All(paramRequest);
{
"entity": "collection",
"count": 1,
"items": [
{
"id": "qr_HMsqRoeVwKbwAF",
"entity": "qr_code",
"created_at": 1623661499,
"name": "Fresh Groceries",
"usage": "multiple_use",
"type": "upi_qr",
"image_url": "https://rzp.io/i/eI9XD54Q",
"image_content": "upi://pay?pa=qmart.razorpay@hdfcbank&pn=TestAccount&tr=RZPGT5viB4WHeoUuuqrv2&tn=TestAccountRaftarSoft&am=100&cu=INR&mc=5411",
"payment_amount": null,
"status": "active",
"description": "Buy fresh groceries",
"fixed_amount": false,
"payments_amount_received": 1000,
"payments_count_received": 1,
"notes": [],
"customer_id": "cust_HKsR5se84c5LTO",
"close_by": 1624472999,
"close_reason": null
}
]
}
{
"error": {
"code": "BAD_REQUEST_ERROR",
"description": "The api secret provided is invalid",
"source": "NA",
"step": "NA",
"reason": "NA",
"metadata": {}
}
}
Fetch QR Codes for a Payment ID
Fetch the details of a QR Codes using a Payment Id.
GET
/
v1
/
payments
/
qr_codes?payment_id=\
{payment_id\}
curl -u <YOUR_KEY_ID>:<YOUR_KEY_SECRET> \
-X GET https://api.razorpay.com/v1/payments/qr_codes?payment_id=pay_Di5iqCqA1WEHq6 \
RazorpayClient razorpay = new RazorpayClient("[YOUR_KEY_ID]", "[YOUR_KEY_SECRET]");
JSONObject params = new JSONObject();
params.put("payment_id","pay_Di5iqCqA1WEHq6");
List<QrCode> qrcodes = razorpay.qrCode.fetchAll(params);
$api = new Api($key_id, $secret);
$api->qrCode->all(["payment_id" => $paymentId])
var instance = new Razorpay({ key_id: 'YOUR_KEY_ID', key_secret: 'YOUR_SECRET' })
instance.qrCode.all({"payment_id":paymentId})
import razorpay
client = razorpay.Client(auth=("YOUR_ID", "YOUR_SECRET"))
client.qrcode.all({"payment_id":paymentId})
import ( razorpay "github.com/razorpay/razorpay-go" )
client := razorpay.NewClient("YOUR_KEY_ID", "YOUR_SECRET")
para_attr := map[string]interface{}{
"payment_id" : "pay_HMtDKn3TnF4D8x",
}
body, err := client.QrCode.All(para_attr, nil)
require "razorpay"
Razorpay.setup('YOUR_KEY_ID', 'YOUR_SECRET')
para_attr = {"payment_id":paymentId}
Razorpay::QrCode.all(para_attr)
RazorpayClient client = new RazorpayClient("[YOUR_KEY_ID]", "[YOUR_KEY_SECRET]");
Dictionary<string, object> paramRequest = new Dictionary<string, object>();
params.Add("payment_id","pay_Z6t7VFTb9xHeOs");
List<QrCode> paymentlink = client.QrCode.All(paramRequest);
{
"entity": "collection",
"count": 1,
"items": [
{
"id": "qr_HMsqRoeVwKbwAF",
"entity": "qr_code",
"created_at": 1623661499,
"name": "Fresh Groceries",
"usage": "multiple_use",
"type": "upi_qr",
"image_url": "https://rzp.io/i/eI9XD54Q",
"image_content": "upi://pay?pa=qmart.razorpay@hdfcbank&pn=TestAccount&tr=RZPGT5viB4WHeoUuuqrv2&tn=TestAccountRaftarSoft&am=100&cu=INR&mc=5411",
"payment_amount": null,
"status": "active",
"description": "Buy fresh groceries",
"fixed_amount": false,
"payments_amount_received": 1000,
"payments_count_received": 1,
"notes": [],
"customer_id": "cust_HKsR5se84c5LTO",
"close_by": 1624472999,
"close_reason": null
}
]
}
{
"error": {
"code": "BAD_REQUEST_ERROR",
"description": "The api secret provided is invalid",
"source": "NA",
"step": "NA",
"reason": "NA",
"metadata": {}
}
}
Available in🇮🇳 India
Use this endpoint to retrieve the details of a QR Code by using a Payment Id.
curl -u <YOUR_KEY_ID>:<YOUR_KEY_SECRET> \
-X GET https://api.razorpay.com/v1/payments/qr_codes?payment_id=pay_Di5iqCqA1WEHq6 \
RazorpayClient razorpay = new RazorpayClient("[YOUR_KEY_ID]", "[YOUR_KEY_SECRET]");
JSONObject params = new JSONObject();
params.put("payment_id","pay_Di5iqCqA1WEHq6");
List<QrCode> qrcodes = razorpay.qrCode.fetchAll(params);
$api = new Api($key_id, $secret);
$api->qrCode->all(["payment_id" => $paymentId])
var instance = new Razorpay({ key_id: 'YOUR_KEY_ID', key_secret: 'YOUR_SECRET' })
instance.qrCode.all({"payment_id":paymentId})
import razorpay
client = razorpay.Client(auth=("YOUR_ID", "YOUR_SECRET"))
client.qrcode.all({"payment_id":paymentId})
import ( razorpay "github.com/razorpay/razorpay-go" )
client := razorpay.NewClient("YOUR_KEY_ID", "YOUR_SECRET")
para_attr := map[string]interface{}{
"payment_id" : "pay_HMtDKn3TnF4D8x",
}
body, err := client.QrCode.All(para_attr, nil)
require "razorpay"
Razorpay.setup('YOUR_KEY_ID', 'YOUR_SECRET')
para_attr = {"payment_id":paymentId}
Razorpay::QrCode.all(para_attr)
RazorpayClient client = new RazorpayClient("[YOUR_KEY_ID]", "[YOUR_KEY_SECRET]");
Dictionary<string, object> paramRequest = new Dictionary<string, object>();
params.Add("payment_id","pay_Z6t7VFTb9xHeOs");
List<QrCode> paymentlink = client.QrCode.All(paramRequest);
{
"entity": "collection",
"count": 1,
"items": [
{
"id": "qr_HMsqRoeVwKbwAF",
"entity": "qr_code",
"created_at": 1623661499,
"name": "Fresh Groceries",
"usage": "multiple_use",
"type": "upi_qr",
"image_url": "https://rzp.io/i/eI9XD54Q",
"image_content": "upi://pay?pa=qmart.razorpay@hdfcbank&pn=TestAccount&tr=RZPGT5viB4WHeoUuuqrv2&tn=TestAccountRaftarSoft&am=100&cu=INR&mc=5411",
"payment_amount": null,
"status": "active",
"description": "Buy fresh groceries",
"fixed_amount": false,
"payments_amount_received": 1000,
"payments_count_received": 1,
"notes": [],
"customer_id": "cust_HKsR5se84c5LTO",
"close_by": 1624472999,
"close_reason": null
}
]
}
{
"error": {
"code": "BAD_REQUEST_ERROR",
"description": "The api secret provided is invalid",
"source": "NA",
"step": "NA",
"reason": "NA",
"metadata": {}
}
}
Query Parameters
string
required
The unique identifier of the payment.
Response Parameters
string
The unique identifier of the QR Code.
string
Indicates the type of entity. Here, it is
qr_code.string
The type of the QR Code. Possible values:
upi_qr: Create a QR Code that accepts only UPI payments.bharat_qr: Create a QR Code that accepts UPI and card payments. This is an on-demand feature. Learn more about Bharat QR.
string
The URL of the QR Code. For example,
http://rzp.io/l6MS. Click the link to download the code.string
The link encoded to the payable QR Code using any QR Code generator. For example:
- For UPI QR:
upi://pay?pa=dmart.razorpay@hdfcbank&pn=TestAccount&tr=RZPGT5viB4WHeoUuuqrv2&tn=TestAccountRaftarSoft&am=100&cu=INR&mc=5411 - For Bharat QR:
000201010212021643926300000000850415540461000000008061661005900000000890827YESB0CMSNOC222333004882700126430010A0000005240117razorpaybqr@icici02041.1027350010A0000005240117RZPGT8ildsFTgS5Sp52047531530335654041.105802IN5906zxcbmn6005Delhi610611008562300514GT8ildsFTgS5Sp070838R004506304B6A9
string
Label entered to identify the QR Code. For example,
Store Front Display.string
Indicates if the QR Code should be allowed to accept single payment or multiple payments. Possible values:
single_use: QR Code will accept only one payment and then close automatically.multiple_use(default): QR Code will accept multiple payments.
boolean
Indicates if the QR should accept payments of specific amounts or any amount. Possible values:
true: QR Code accepts only a specific amount.false(default): QR Code accepts any amount.
integer
The amount allowed for a transaction. If this is specified, then any transaction of an amount less than or more than this value is not allowed. For example, if this amount is set as
500000, the customer cannot pay an amount less than or more than ₹5000.string
Indicates the status of the QR Code. Possible values:
activeclosed
string
A brief description about the QR Code.
integer
The total amount received on the QR Code. All captured payments are considered.
integer
The total number of payments received on the QR Code. All captured payments are considered.
object
Key-value pair that can be used to store additional information about the QR Code. Maximum 15 key-value pairs, 256 characters (maximum) each. For example,
"note_key": "Beam me up Scotty”.string
Unique identifier of the customer the QR Code is linked with. Know more about to the Customers API.
integer
Unix timestamp at which the QR Code is scheduled to be automatically closed. The time must be at least 15 minutes after the current time. The date range can be set to
2147483647 in Unix timestamp format (equivalent to Tuesday, January 19, 2038 8:44:07 AM GMT+05:30).Watch Out!Any request beyond 2147483647 Unix timestamp will fail.
integer
Unix timestamp at which the QR Code is automatically closed.
integer
Unix timestamp at which the QR Code was created.
string
The reason for the closure of the QR Code. Possible values:
on_demand: When you close the QR Code using the APIs or the Dashboard.paid: If the QR Code is created with theusage=single_paymentparameter, the QR Code closes automatically once the customer makes the payment, with the reason marked aspaid.null: The QR Code has not been closed yet.
Errors
The API {key/secret} provided is invalid.
The API {key/secret} provided is invalid.
Code:
4xxThe API credentials passed in the API call differ from the ones generated on the Dashboard.Solution: The API keys must be active and entered correctly with no whitespace before or after.We are facing some trouble completing your request at the moment. Please try again shortly.
We are facing some trouble completing your request at the moment. Please try again shortly.
Code:
400A GET API is executed by POST Method.Solution: Use the correct method, that is, GET.{Payment_id} is not a valid id.
{Payment_id} is not a valid id.
Code:
400A wrong Payment id is provided.Solution: Check if you have used a valid Payment id.{Payment_id} is/are not required and should not be sent
{Payment_id} is/are not required and should not be sent
Code:
400The URL is wrong or is missing something.Solution: Ensure that you use the correct and complete URL without any spelling mistakes.The requested URL was not found on the server.
The requested URL was not found on the server.
Code:
400The URL is wrong or is missing something.Solution: Ensure that you use the correct and complete URL without any spelling mistakes."count": 0
"count": 0
Code:
400No QR Code is found for the search criteria.Solution: There is no data for a particular Payment id. Try a different Payment id.Was this page helpful?